Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed
Class WireFeed

    java.lang.Object
      com.sun.syndication.feed.WireFeed

All Implemented Interfaces:
  Extendable, Serializable, Cloneable

Direct Known Subclasses:
  Channel, Feed

    public abstract class WireFeed

extends Object
implements Cloneable, Serializable, Extendable

Parent class of the RSS (Channel) and Atom (Feed) feed beans.

NOTE: We don't like this class at this package level but the alternative would have been a proliferation of packages (one more level to hold atom and rss package with this class just in that package).

The format of the 'type' property must be [FEEDNAME]_[FEEDVERSION] with the FEEDNAME in lower case, for example: rss_0.9, rss_0.93, atom_0.3

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`protected` | `WireFeed()` Default constructor, for bean cloning purposes only.
`protected` | `WireFeed(String type)` Creates a feed for a given type.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getEncoding()` Returns the charset encoding of a the feed.
`String` | `getFeedType()` Returns the type of the feed.
`Object` | `getForeignMarkup()` Returns foreign markup found at channel level.
`Module` | `getModule(String uri)` Returns the module identified by a given URI.
`List<Module>` | `getModules()` Returns the channel modules.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setEncoding(String encoding)` Sets the charset encoding of a the feed.
`void` | `setFeedType(String feedType)` Sets the feedType of a the feed.
`void` | `setForeignMarkup(Object foreignMarkup)` Sets foreign markup found at channel level.
`void` | `setModules(List<Module> modules)` Sets the channel modules.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WireFeed

    protected WireFeed()

  Default constructor, for bean cloning purposes only.

### WireFeed

    protected WireFeed(String type)

  Creates a feed for a given type.

  Parameters:
    `type` - of the feed to create.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### setFeedType

    public void setFeedType(String feedType)

  Sets the feedType of a the feed. Do not use, for bean cloning purposes only.

  Parameters:
    `feedType` - the feedType of the feed.

### getFeedType

    public String getFeedType()

  Returns the type of the feed.

  Returns:
    the type of the feed.

### getEncoding

    public String getEncoding()

  Returns the charset encoding of a the feed.

  This property is not set by feed parsers. But it is used by feed generators to set the encoding in the XML prolog.

  Returns:
    the charset encoding of the feed.

### setEncoding

    public void setEncoding(String encoding)

  Sets the charset encoding of a the feed.

  This property is not set by feed parsers. But it is used by feed generators to set the encoding in the XML prolog.

  Parameters:
    `encoding` - the charset encoding of the feed.

### getModules

    public List<Module> getModules()

  Returns the channel modules.

  Specified by:
    `getModules` in interface `Extendable`
  Returns:
    a list of ModuleImpl elements with the channel modules, an empty list if none.

### setModules

    public void setModules(List<Module> modules)

  Sets the channel modules.

  Specified by:
    `setModules` in interface `Extendable`
  Parameters:
    `modules` - the list of ModuleImpl elements with the channel modules to set, an empty list or null if none.

### getModule

    public Module getModule(String uri)

  Returns the module identified by a given URI.

  Specified by:
    `getModule` in interface `Extendable`
  Parameters:
    `uri` - the URI of the ModuleImpl.
  Returns:
    The module with the given URI, null if none.

### getForeignMarkup

    public Object getForeignMarkup()

  Returns foreign markup found at channel level.

  Returns:
    Opaque object to discourage use

### setForeignMarkup

    public void setForeignMarkup(Object foreignMarkup)

  Sets foreign markup found at channel level.

  Parameters:
    `foreignMarkup` - Opaque object to discourage use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.